use bevy::{prelude::*, render::render_resource::PrimitiveTopology};
use opensimplex_noise_rs::OpenSimplexNoise;
use rand::Rng;

pub fn _planet() -> Mesh {
	let mut rng = rand::thread_rng();
	let _simplex = OpenSimplexNoise::new(Some(rng.gen()));
	let mut mesh = Mesh::new(PrimitiveTopology::TriangleList);
	mesh.insert_attribute(
		Mesh::ATTRIBUTE_POSITION,
		vec![[0.0, 0.0, 0.0], [1.0, 0.0, 0.0], [0.0, 1.0, 0.0]],
	);
	mesh.set_indices(Some(bevy::render::mesh::Indices::U32(vec![0, 1, 2])));
	mesh
}
